import { TemplateFunction } from './template';
export declare class IgcTemplateContentComponent extends HTMLElement {
    constructor();
    private _template;
    set template(value: TemplateFunction);
    get template(): TemplateFunction;
    connectedCallback(): void;
    private _attached;
    attachedCallback(): void;
    private _context;
    set context(value: any);
    get context(): any;
    markChanged(): void;
    private onContextChanged;
    private onTemplateChanged;
    private render;
    private _owner;
    get owner(): any;
    set owner(v: any);
    static htmlTagName: string;
    protected static _registered: boolean;
    static register(): void;
}
